### Class

# Dex UnixSignal

#### Description [src]

    final class Dex.UnixSignal : GObject.TypeInstance
    {
      /* No available fields */
    }

`DexUnixSignal` is a `DexFuture` that will resolve when a specific unix signal has been received.

Use this when you want to handle a signal from your main loop rather than from a resticted operating signal handler.

On Linux, this uses a signalfd.

#### Ancestors

- DexFuture
- DexObject

#### Constructors

###### dex_unix_signal_new

Creates a new `DexUnixSignal` that completes when `signum` is delivered to the process.

#### Instance methods

###### dex_unix_signal_get_signum

Get the signal number that the future represents.

since: 1.0

##### Methods inherited from DexFuture (25)

Please see DexFuture for a full list of methods.

##### Methods inherited from DexObject (2)

###### dex_ref

Acquires a reference on the given object, and increases its reference count by one.

###### dex_unref

Releases a reference on the given object, and decreases its reference count by one.